#!/bin/csh
#----------------------------------------------------------------
#                          REVISION HISTORY
#----------------------------------------------------------------
#  MOD             PR
# LEVEL   DATE   NUMBER  User       Description
# ----- -------- ------  ------     -----------------------------
#  000  08/15/01 44775   jschultz   initial implementation
#  001  03/12/02 44775   WMiller    Add UTIL.jar & remove mem. increase
#  002  08/12/03 49253   goldst     Added JCONN_JAR variable to classpath
#  003  08/04/05 53889   J.Baum     Use OPUS_CLASSPATH
#  004  10/21/09 63755   MSwam      support Java classpath wildcarding
#       09/02/10 64432   MSwam      add DADS_CLASSPATH for MSSQL lib access
#----------------------------------------------------------------
#---------------------
# define exit statuses
#--------------------- 
set EXIT_SUCCESS = 0
set EXIT_ERROR = 1
#
#----------------------------------------------------
# set FOF File Root Name and Application Process Name
#----------------------------------------------------
set filename = $OSF_DATASET
set procname = saveng
#
#-------------------------------------------------
# use OPUS_CLASSPATH for jar files
#-------------------------------------------------
eval java -classpath "`replace_javawildcard OPUS_CLASSPATH`":"`replace_javawildcard DADS_CLASSPATH`" CONVERTFOF/ConvertFof $procname $filename ${argv[*]}
#
#-----------------------------
# exit with appropriate status
#-----------------------------
if ($status != 0) then
  exit $EXIT_ERROR
endif
exit $EXIT_SUCCESS
